Name:           perl-Mojo-Redis2
Version:        0.24
Release:        1%{?dist}
Summary:        Pure-Perl non-blocking I/O Redis driver
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mojo-Redis2/
Source0:        http://www.cpan.org/authors/id/J/JH/JHTHORSEN/Mojo-Redis2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Mojolicious) >= 5.0
BuildRequires:  perl(Protocol::Redis) >= 1.0
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(Mojolicious) >= 5.0
Requires:       perl(Protocol::Redis) >= 1.0
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Mojo::Redis2 is a pure-Perl non-blocking I/O Redis driver for the
Mojolicious real-time framework.

%prep
%setup -q -n Mojo-Redis2-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes cpanfile META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jul 26 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.24-1
- First build using cpanspec
